<template>
  <div style="width: 100%; margin: auto;">
    <div class="row" >
      <div class="col-md-3 col-sm-12 col-xs-12" style="text-align: center; ">
        <div class="caption vertical-center text-left absolute-sm-text">
          <img class="absolute-sm-img desktop-only" style="margin-top: 15px;" src="~assets/want-join2.png">
          <div class="button-holder fadeInDown-3 buttondetailmobile"><q-btn id="buton1" dpadding="10px" size="20px" color="green" label="Detail" style="margin-right: 20px; margin-top: 40px"/></div>
        </div>
      </div>

      <div class="col-md-9 col-sm-12 col-xs-12 absolute-sm" >
        <q-carousel
          id="image1"
          style="margin: 15px auto 10px auto; height: 500px;"
          swipeable
          animated
          v-model="slide"
          infinite
          :autoplay="autoplay"
          arrows
          transition-prev="slide-right"
          transition-next="slide-left"
          @mouseenter="autoplay = false"
          @mouseleave="autoplay = true"
        >
          <q-carousel-slide v-for="(banner, index) in banners" style="background-size: 100% 100%" :name="index" :img-src="banner.gambar" @click="goToUrl(banner.target_url)" />
        </q-carousel>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'HomeJumbotron',
  data () {
    return {
      slide: 1,
      autoplay: true,
      banners: null
    }
  },
  beforeMount() {
    this.getBanner()
  },
  methods: {
    getBanner() {
      this.$q.loading.show()
      this.$axios.get("/api/front-banner")
        .then(sukses => {
          let dataBanner =  sukses.data
          this.banners = dataBanner
          this.$q.loading.hide()
        })
    },
    goToUrl (target) {
      window.location.href = target
    }
  }
}
</script>

<style lang="scss" scoped>
.absolute-sm {
  @media screen and (min-width: 0px) and (max-width: 991px) {

    position: absolute;
    z-index: -1;
  }
}

.buttondetailmobile {
  @media screen and (min-width: 0px) and (max-width: 991px) {
    margin-top: 260px;
  }
}

.absolute-sm-text {
  margin-top: 30px;
  margin-left: 50px;
  @media screen and (min-width: 0px) and (max-width: 991px) {
    margin-top: 15px;
    margin-left: 25px;
  }
}



.absolute-sm-img {
  width: 90%;
  @media screen and (min-width: 0px) and (max-width: 991px) {
    width: 67%;
    margin-bottom: 80px;
  }
}

.sm-img-scroll {
  @media screen and (min-width: 0px) and (max-width: 991px) {
    min-width: 300px;
  }
}

#buton1 {
  @media screen and (min-width: 0px) and (max-width: 991px) {
    transform: scale(0.7);
    margin-left: -40px;
    margin-top: -15px!important;
  }
}

#image1 {
  @media screen and (min-width: 0px) and (max-width: 991px) {
   height: 230px!important;
  }
}


</style>
